# Edit this configuration file to define what should be installed on
# your system.  Help is available in the configuration.nix(5) man page
# and in the NixOS manual (accessible by running `nixos-help`).

{ config, pkgs, ... }:

{
  # Paths to other modules.
  # Compose this module out of smaller ones.
  # https://nixos.wiki/wiki/NixOS_modules
  imports =
    [ # Include the results of the hardware scan.
      ./hardware-configuration.nix
      ./home-manager.nix
      ../../modules/base.nix
      ../../modules/programs.nix
      ../../modules/gnome-extensions.nix
      ../../modules/git.nix
      ../../modules/zsh.nix
      ../../modules/print-and-scan.nix
      ../../modules/nitrokey-ssh-gpg.nix
      ../../modules/fde-ssh-unlock.nix
      ../../modules/nextcloud-integration.nix
    ];

  networking.hostName = "yodaTux";
}
